import { NSBaseComponent } from "../ns-base";
import { INSTextBoxSetting } from "./interfaces";
import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChange } from "@angular/core";
import * as i0 from "@angular/core";
declare var NSTextBox: any;
export interface INSTextBoxAngularSetting extends INSTextBoxSetting {
    setting?: INSTextBoxSetting;
    containerStyle?: any;
    [propName: string]: any;
}
export declare class NSTextBoxAngular extends NSBaseComponent<typeof NSTextBox> implements OnChanges, OnInit, AfterViewInit {
    setting: INSTextBoxAngularSetting | null | undefined;
    set dataSource(arrSource: any[]);
    get dataSource(): any[];
    itemSelected: EventEmitter<any>;
    itemUnselected: EventEmitter<any>;
    static checkComponentLoaded(): void;
    static get TYPE_AUTOTEXT(): any;
    static get TYPE_AUTOCOMPLETE(): any;
    static get TYPE_EMAIL(): any;
    static get TYPE_NUMBER(): any;
    static get TYPE_PASSWORD(): any;
    static get TYPE_URL(): any;
    static get DROPDOWN_TYPE_LIST(): any;
    static get DROPDOWN_TYPE_GRID(): any;
    static readonly FILTER_TYPE_EXACT = "exact";
    static readonly FILTER_TYPE_STARTS_WITH = "startsWith";
    static readonly FILTER_TYPE_ENDS_WITH = "endsWith";
    static readonly FILTER_TYPE_CONTAINS = "contains";
    private __dataSource;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: {
        [propName: string]: SimpleChange;
    }): void;
    ngAfterViewInit(): void;
    create(): void;
    getTextBox(): any;
    setText(text: string): void;
    getText(): string;
    setSelectedItems(arrItems: any[]): void;
    setSelectedItem(item: any): void;
    setSelectedIndexes(arrSelectedIndex: number[]): void;
    setSelectedIndex(selectedIndex: number): void;
    unSelectItems(arrItems: any[]): void;
    unSelectItem(item: any): void;
    unSelectIndexes(arrSelectedIndex: number[]): void;
    unSelectIndex(selectedIndex: number): void;
    unSelectAll(fireEvent?: boolean): void;
    getSelectedItem(): any;
    getSelectedItems(): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<NSTextBoxAngular, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NSTextBoxAngular, "ns-text-box-angular", never, { "setting": { "alias": "setting"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; }, { "itemSelected": "itemSelected"; "itemUnselected": "itemUnselected"; }, never, never, false, never>;
}
export {};
